\documentclass{article}
\usepackage{graphicx} % Required for inserting images

\title{Social Network Graphs}
\author{Los Grafitis}
\date{\today}

\begin{document}

\maketitle

\section{Twitter}

\subsection{Description}
Twitter has a restriction with the amount of character that can be published in one post, it is to 280 or fewer. You can subscribe to someone feeds by pressing on the follow button. \subsection{Interactions}
\begin{itemize}
	\item [Tweets]: short messages between two persons.         \item [Tweeting]: Posting messages.
\end{itemize} \subsection{Usages}
Twitter can be used as:
\begin{itemize}
	\item [Amateur news reporting]: The micro blogging experience of Twitter allow us to follow the day to day interaction of people.
	\item [Marketing tool]: Advertising.
	\item [Social Messaging tool]: Twitter integrates well with other tools such as Instagram, Messenger and Snapchat.
\end{itemize}
\subsection{Graph Type}
Twitter among other graph types, uses an directed graph for the following interactions, because you can follow and be followed, but there is a little flaw you can't follow yourself.
So Twitter uses a directed graph with a lot of bidirectional connections. And each connection represents a following interaction.

\section{Facebook}

\subsection{Description}

Facebook using several type graphs and now with its artificial intelligence integration, facebook improved much its way to management the process of searching and interactions between all users.

\subsection{Interaction's Characteristics}
\begin{enumerate}
	\item We can see information about public accounts yet without following to this user.
	\item We can't see information about private accounts, like photos, direction or phone although the account has information.
	\item We can share almost all type files in the chat of messenger with friends.
	\item We can see common friends with other users till without following it, but only if that account is public.
\end{enumerate}

\subsection{Usages}
Facebook can be used as:
\begin{itemize}
	\item [Reporting new information]: As a information social network for to communicate you state or almost anything.
	\item [Comunication Tool]: As a place for chat of way "private".
	\item [Meeting new people tool]: As a the intermediate for to know new people.
\end{itemize}

\subsection{Graph Type}
Facebook used several types graphs for distinct situations like follow an private user, an public user or an marketplace chat, for example:

\begin{itemize}
	\item [Wighted graphs]: In a case as the of sell of an product since marketplace, facebook need use of weight graph to measure the distance between buyer and seller.
	\item [Undirected graphs]: Is a case as the of chat and follow any user with public state, facebook need undirected graphs so that they can follow each other.
\end{itemize}

\end{document}
